Train
Trigger
Action
ModelsExpand Collapse
class TrainTriggerResponse: …
job: Job
job_type: Literal["assets-download", "canvas-export", "caption", 36 more]The type of job
The type of job
metadata: JobMetadataMetadata of the job with some additional information
Metadata of the job with some additional information
flow: Optional[List[JobMetadataFlow]]The flow of the job. Only available for workflow jobs.
The flow of the job. Only available for workflow jobs.
status: Literal["failure", "pending", "processing", 2 more]The status of the node. Only available for WorkflowJob nodes.
The status of the node. Only available for WorkflowJob nodes.
type: Literal["custom-model", "for-each", "generate-prompt", 7 more]The type of the job for the node.
The type of the job for the node.
Fixed number of iterations for a ForEach node.
When set, the loop runs exactly count times regardless of array input.
When not set, the loop iterates over the resolved array input.
Only available for ForEach nodes.
The nodes that this node depends on. Only available for nodes that have dependencies. Mainly used for user approval nodes.
If true, the outputs of this node will be included in the workflow job’s final output.
Only applicable to producing nodes (custom-model, inference, etc.).
By default, only last nodes (nodes not referenced by other nodes) contribute to outputs.
Set this to true to also include intermediate nodes in the final output.
Note: This should only be set to true or left undefined.
inputs: Optional[List[JobMetadataFlowInput]]The inputs of the node.
The inputs of the node.
The allowed values for the input. For `string` or `number` types, creates a single-select dropdown. For `string_array` type, creates a multi-select dropdown.
background_behavior: Optional[Literal["opaque", "transparent"]]Specifies the background behavior for the input. Only available for `file` and `file_array`
input types with kind `image`.
Specifies the background behavior for the input. Only available for `file` and `file_array` input types with kind `image`.
Help text displayed in the UI to provide additional information about the input
Used to visually group inputs together in the UI. Inputs with the same group value appear consecutively in the UI.
The list of inputs which form an object within a container array. All inputs are the same as the current object. This is only available for type inputs_array inputs.
items: Optional[List[List[JobMetadataFlowInputItem]]]The configured items for inputs_array type inputs.
Each item is an array of SubNodeInput that need ref/value resolution.
Only available for inputs_array type.
The configured items for inputs_array type inputs. Each item is an array of SubNodeInput that need ref/value resolution. Only available for inputs_array type.
The allowed values for the input. For `string` or `number` types, creates a single-select dropdown. For `string_array` type, creates a multi-select dropdown.
background_behavior: Optional[Literal["opaque", "transparent"]]Specifies the background behavior for the input. Only available for `file` and `file_array`
input types with kind `image`.
Specifies the background behavior for the input. Only available for `file` and `file_array` input types with kind `image`.
Help text displayed in the UI to provide additional information about the input
Used to visually group inputs together in the UI. Inputs with the same group value appear consecutively in the UI.
The list of inputs which form an object within a container array. All inputs are the same as the current object. This is only available for type inputs_array inputs.
kind: Optional[Literal["3d", "audio", "document", 4 more]]The asset kind of the input. Only taken into account for `file` and `file_array` input types.
If model provides multiple kinds,
the input will be not able to create the asset on the flight on API side with dataurl without data:kind, prefix
The asset kind of the input. Only taken into account for `file` and `file_array` input types. If model provides multiple kinds, the input will be not able to create the asset on the flight on API side with dataurl without data:kind, prefix
The maximum allowed length for `string` inputs. Also applies to each item in `string_array`.
The maximum allowed file size in bytes. Only applies to `file` and `file_array` input types. Validated against `asset.properties.size` at job creation time.
The minimum allowed length for string inputs. Also applies to each item in `string_array`.
model_types: Optional[List[Literal["custom", "elevenlabs-voice", "flux.1", 34 more]]]The allowed model types for this input. Example: `[“flux.1-lora”]`.
Only available for `model_array` input type.
The allowed model types for this input. Example: `[“flux.1-lora”]`. Only available for `model_array` input type.
Whether this input represents a parent asset to assign to the produced assets. Only available for `file` and `file_array` input types.
For `file_array`, the parent asset is the first item in the array.
Whether the input is a prompt. When true, displays as a text area with prompt spark feature. Only available for `string` input type.
Whether the input is used with prompt spark. Only available for `string` input type.
ref: Optional[JobMetadataFlowInputItemRef]The reference to another input or output of the same workflow.
Must have at least one of node or conditional.
The reference to another input or output of the same workflow. Must have at least one of node or conditional.
The conditional nodes to reference. If the conditional nodes are successful, the node will be successful. If the conditional nodes are skipped, the node will be skipped. Contains an array of node ids used to check the status of the nodes.
The name of the input or output to reference. If the type is ‘workflow’, the name is the name of the input of the workflow is required If the type is ‘node’, the name is not mandatory, except if you want all outputs of the node. To get all outputs of a node, you can use the name ‘all’.
required: Optional[JobMetadataFlowInputItemRequired]Set of rules that describes when this input is required:
- `always`: Input is always required
- `ifNotDefined`: Input is required when another specified input is not defined
- `ifDefined`: Input is required when another specified input is defined
- `conditionalValues`: Input is required when another input has a specific value
By default, the input is not required.
Set of rules that describes when this input is required:
- `always`: Input is always required
- `ifNotDefined`: Input is required when another specified input is not defined
- `ifDefined`: Input is required when another specified input is defined
- `conditionalValues`: Input is required when another input has a specific value
By default, the input is not required.
Makes this input required when another input has a specific value:
- Key: name of the input to check
- Value: operation and allowed values that trigger the requirement
kind: Optional[Literal["3d", "audio", "document", 4 more]]The asset kind of the input. Only taken into account for `file` and `file_array` input types.
If model provides multiple kinds,
the input will be not able to create the asset on the flight on API side with dataurl without data:kind, prefix
The asset kind of the input. Only taken into account for `file` and `file_array` input types. If model provides multiple kinds, the input will be not able to create the asset on the flight on API side with dataurl without data:kind, prefix
The maximum allowed length for `string` inputs. Also applies to each item in `string_array`.
The maximum allowed file size in bytes. Only applies to `file` and `file_array` input types. Validated against `asset.properties.size` at job creation time.
The minimum allowed length for string inputs. Also applies to each item in `string_array`.
model_types: Optional[List[Literal["custom", "elevenlabs-voice", "flux.1", 34 more]]]The allowed model types for this input. Example: `[“flux.1-lora”]`.
Only available for `model_array` input type.
The allowed model types for this input. Example: `[“flux.1-lora”]`. Only available for `model_array` input type.
Whether this input represents a parent asset to assign to the produced assets. Only available for `file` and `file_array` input types.
For `file_array`, the parent asset is the first item in the array.
Whether the input is a prompt. When true, displays as a text area with prompt spark feature. Only available for `string` input type.
Whether the input is used with prompt spark. Only available for `string` input type.
ref: Optional[JobMetadataFlowInputRef]The reference to another input or output of the same workflow.
Must have at least one of node or conditional.
The reference to another input or output of the same workflow. Must have at least one of node or conditional.
The conditional nodes to reference. If the conditional nodes are successful, the node will be successful. If the conditional nodes are skipped, the node will be skipped. Contains an array of node ids used to check the status of the nodes.
The name of the input or output to reference. If the type is ‘workflow’, the name is the name of the input of the workflow is required If the type is ‘node’, the name is not mandatory, except if you want all outputs of the node. To get all outputs of a node, you can use the name ‘all’.
required: Optional[JobMetadataFlowInputRequired]Set of rules that describes when this input is required:
- `always`: Input is always required
- `ifNotDefined`: Input is required when another specified input is not defined
- `ifDefined`: Input is required when another specified input is defined
- `conditionalValues`: Input is required when another input has a specific value
By default, the input is not required.
Set of rules that describes when this input is required:
- `always`: Input is always required
- `ifNotDefined`: Input is required when another specified input is not defined
- `ifDefined`: Input is required when another specified input is defined
- `conditionalValues`: Input is required when another input has a specific value
By default, the input is not required.
Makes this input required when another input has a specific value:
- Key: name of the input to check
- Value: operation and allowed values that trigger the requirement
Statically-configured items for a List node. The node outputs this array as-is when executed. Only available for List nodes. The values can be strings, numbers, or asset IDs.
Zero-based index of the iteration this node copy belongs to. Set on dynamically-created copies of loop body nodes.
If the flow is part of a WorkflowJob, this is the jobId for the node. jobId is only available for nodes started. A node “Pending” for a running workflow job is not started.
logic: Optional[JobMetadataFlowLogic]The logic of the node.
Only available for logic nodes.
The logic of the node. Only available for logic nodes.
The type of the logic for the node. Only available for logic nodes.
IDs of the body template nodes that belong to this ForEach loop. At runtime these templates are cloned once per iteration and marked Skipped. Only available for ForEach nodes.
model: Model
capabilities: List[Literal["3d23d", "audio2audio", "audio2video", 29 more]]List of model capabilities (example: [“txt2img”, “img2img”, “txt2img_ip_adapter”, …])
List of model capabilities (example: [“txt2img”, “img2img”, “txt2img_ip_adapter”, …])
Whether the model is a custom model and can be used only with POST /generate/custom/{modelId} endpoint
type: Literal["custom", "elevenlabs-voice", "flux.1", 34 more]The model type (example: “flux.1-lora”)
The model type (example: “flux.1-lora”)
access_restrictions: Optional[Literal[0, 100, 25, 2 more]]The access restrictions of the model
0: Free plan
25: Creator plan
50: Pro plan
75: Team plan
100: Enterprise plan
The access restrictions of the model 0: Free plan 25: Creator plan 50: Pro plan 75: Team plan 100: Enterprise plan
class_: Optional[ModelClass]The class of the model
The class of the model
List of base model IDs compliant with the model (example: [“flux.1-dev”, “flux.1-schnell”]) This attribute is mainly used for Flux LoRA models
concepts: Optional[List[ModelConcept]]The concepts is required for the type model: composition
The concepts is required for the type model: composition
The epoch of the model. Only available for Flux Lora Trained models. If not set, uses the final model epoch (latest)
epochs: Optional[List[ModelEpoch]]The epochs of the model. Only available for Flux Lora Trained models.
The epochs of the model. Only available for Flux Lora Trained models.
inputs: Optional[List[ModelInput]]The inputs of the model. Only used for custom models. To retrieve this list, get it by modelId with GET /models/{modelId}
The inputs of the model. Only used for custom models. To retrieve this list, get it by modelId with GET /models/{modelId}
The allowed values for the input. For `string` or `number` types, creates a single-select dropdown. For `string_array` type, creates a multi-select dropdown.
background_behavior: Optional[Literal["opaque", "transparent"]]Specifies the background behavior for the input. Only available for `file` and `file_array`
input types with kind `image`.
Specifies the background behavior for the input. Only available for `file` and `file_array` input types with kind `image`.
Help text displayed in the UI to provide additional information about the input
Used to visually group inputs together in the UI. Inputs with the same group value appear consecutively in the UI.
The list of inputs which form an object within a container array. All inputs are the same as the current object. This is only available for type inputs_array inputs.
kind: Optional[Literal["3d", "audio", "document", 4 more]]The asset kind of the input. Only taken into account for `file` and `file_array` input types.
If model provides multiple kinds,
the input will be not able to create the asset on the flight on API side with dataurl without data:kind, prefix
The asset kind of the input. Only taken into account for `file` and `file_array` input types. If model provides multiple kinds, the input will be not able to create the asset on the flight on API side with dataurl without data:kind, prefix
The maximum allowed length for `string` inputs. Also applies to each item in `string_array`.
The maximum allowed file size in bytes. Only applies to `file` and `file_array` input types. Validated against `asset.properties.size` at job creation time.
The minimum allowed length for string inputs. Also applies to each item in `string_array`.
model_types: Optional[List[Literal["custom", "elevenlabs-voice", "flux.1", 34 more]]]The allowed model types for this input. Example: `[“flux.1-lora”]`.
Only available for `model_array` input type.
The allowed model types for this input. Example: `[“flux.1-lora”]`. Only available for `model_array` input type.
Whether this input represents a parent asset to assign to the produced assets. Only available for `file` and `file_array` input types.
For `file_array`, the parent asset is the first item in the array.
Whether the input is a prompt. When true, displays as a text area with prompt spark feature. Only available for `string` input type.
Whether the input is used with prompt spark. Only available for `string` input type.
required: Optional[ModelInputRequired]Set of rules that describes when this input is required:
- `always`: Input is always required
- `ifNotDefined`: Input is required when another specified input is not defined
- `ifDefined`: Input is required when another specified input is defined
- `conditionalValues`: Input is required when another input has a specific value
By default, the input is not required.
Set of rules that describes when this input is required:
- `always`: Input is always required
- `ifNotDefined`: Input is required when another specified input is not defined
- `ifDefined`: Input is required when another specified input is defined
- `conditionalValues`: Input is required when another input has a specific value
By default, the input is not required.
Makes this input required when another input has a specific value:
- Key: name of the input to check
- Value: operation and allowed values that trigger the requirement
The model keyword, this is a legacy parameter, please use conceptPrompt in parameters
Fine-tune the model’s inferences with negative prompt embedding
parameters: Optional[ModelParameters]The parameters of the model
The parameters of the model
Age group of the voice (for professional cloning)
Only available for ElevenLabs voice training
The batch size Less steps, and will increase the learning rate
Only available for Flux LoRA training
The prompt to specify images in the same class as provided instance images
Only available for SD15 training
Type of voice cloning: “instant” (fast) or “professional” (higher quality, requires captcha)
Only available for ElevenLabs voice training
The prompt with identifier specifying the instance (or subject) of the class (example: “a daiton dog”)
Default value varies depending on the model type:
- For SD1.5: “daiton” if no class is associated with the model
- For SDXL: “daiton”
- For Flux: ""
Gender of the voice (for professional cloning)
Only available for ElevenLabs voice training
Language of the audio samples (ISO 639-1 code)
Only available for ElevenLabs voice training
Initial learning rate (after the potential warmup period)
Default value varies depending on the model type:
- For SD1.5 and SDXL: 0.000005
- For Flux: 0.0001
Initial learning rate (after the potential warmup period) for the text encoder
Maximum [Flux LoRA: 0.001] Default [SDXL: 0.00005 | Flux LoRA: 0.00001] Minimum [SDXL: 0 | Flux LoRA: 0.000001]
Initial learning rate (after the potential warmup period) for the UNet
Only available for SDXL LoRA training
lr_scheduler: Optional[Literal["constant", "constant-with-warmup", "cosine", 3 more]]The scheduler type to use (default: “constant”)
Only available for SD15 and SDXL LoRA training
The scheduler type to use (default: “constant”)
Only available for SD15 and SDXL LoRA training
Maximum number of training steps to execute (default: varies depending on the model type)
For SDXL LoRA training, please use numTextTrainSteps and numUNetTrainSteps instead
Default value varies depending on the model type:
- For SD1.5: round((number of training images * 225) / 3)
- For SDXL: number of training images * 175
- For Flux: number of training images * 100
Maximum value varies depending on the model type:
- For SD1.5 and SDXL: [0, 40000]
- For Flux: [0, 10000]
The number of epochs to train for
Only available for Flux LoRA training
The number of times to repeat the training
Only available for Flux LoRA training
The number of training steps for the text encoder
Only available for SDXL LoRA training
The number of training steps for the UNet
Only available for SDXL LoRA training
Optimize the model training task for a specific type of input images. The available values are:
- “likeness”: optimize training for likeness or portrait (targets specific transformer blocks)
- “all”: train all transformer blocks
- “none”: train no specific transformer blocks
This parameter controls which double and single transformer blocks are trained during the LoRA training process.
Only available for Flux LoRA training
The weight of prior preservation loss
Only available for SD15 and SDXL LoRA training
Whether to random crop or center crop images before resizing to the working resolution
Only available for SD15 and SDXL LoRA training
Ratio of random crops
Only available for SD15 and SDXL LoRA training
Scale of random crops
Only available for SD15 and SDXL LoRA training
The dimension of the LoRA update matrices
Only available for SDXL (deprecated), Flux LoRA and Musubi training
Default value varies depending on the model type:
- For SDXL (deprecated): 64
- For Flux: 16
- For Musubi: 64
Each trainer enforces its own tighter limit (Flux LoRA: [2; 64], Musubi: [2; 128])
Whether to remove background noise from audio samples before cloning. When enabled, each sample must be at least 5 seconds long.
Only available for ElevenLabs voice training
The prompts to use for each epoch Only available for Flux LoRA training
The sample prompt images (AssetIds) paired with samplePrompts Only available for Flux LoRA training Must be the same length as samplePrompts
Whether to scale the learning rate
Note: Legacy parameter, will be ignored
Only available for SD15 and SDXL LoRA training
Used to reproduce previous results. Default: randomly generated number.
Only available for SD15 and SDXL LoRA training
Whether to train the text encoder or not
Example: For 100 steps and a value of 0.2, it means that the text encoder will be trained for 20 steps and then the UNet for 80 steps
Note: Legacy parameter, please use numTextTrainSteps and numUNetTrainSteps
Only available for SD15 and SDXL LoRA training
Validation frequency. Cannot be greater than maxTrainSteps value
Only available for SD15 and SDXL LoRA training
performance_stats: Optional[ModelPerformanceStats]Aggregated performance stats
Aggregated performance stats
The model short description (example: “This model generates highly detailed cinematic scenes.”)
training_images: Optional[List[ModelTrainingImage]]The URLs of the first 3 training images of the model. To retrieve the full set of images, get it by modelId
The URLs of the first 3 training images of the model. To retrieve the full set of images, get it by modelId
training_progress: Optional[ModelTrainingProgress]Additional information about the training progress of the model
Additional information about the training progress of the model
ui_config: Optional[ModelUiConfig]The UI configuration for the model
The UI configuration for the model
input_properties: Optional[Dict[str, ModelUiConfigInputProperties]]Configuration for the input properties
Configuration for the input properties
resolution_component: Optional[ModelUiConfigResolutionComponent]Configuration for the resolution component
Configuration for the resolution component
class TrainActionResponse: …
model: Model
capabilities: List[Literal["3d23d", "audio2audio", "audio2video", 29 more]]List of model capabilities (example: [“txt2img”, “img2img”, “txt2img_ip_adapter”, …])
List of model capabilities (example: [“txt2img”, “img2img”, “txt2img_ip_adapter”, …])
Whether the model is a custom model and can be used only with POST /generate/custom/{modelId} endpoint
type: Literal["custom", "elevenlabs-voice", "flux.1", 34 more]The model type (example: “flux.1-lora”)
The model type (example: “flux.1-lora”)
access_restrictions: Optional[Literal[0, 100, 25, 2 more]]The access restrictions of the model
0: Free plan
25: Creator plan
50: Pro plan
75: Team plan
100: Enterprise plan
The access restrictions of the model 0: Free plan 25: Creator plan 50: Pro plan 75: Team plan 100: Enterprise plan
class_: Optional[ModelClass]The class of the model
The class of the model
List of base model IDs compliant with the model (example: [“flux.1-dev”, “flux.1-schnell”]) This attribute is mainly used for Flux LoRA models
concepts: Optional[List[ModelConcept]]The concepts is required for the type model: composition
The concepts is required for the type model: composition
The epoch of the model. Only available for Flux Lora Trained models. If not set, uses the final model epoch (latest)
epochs: Optional[List[ModelEpoch]]The epochs of the model. Only available for Flux Lora Trained models.
The epochs of the model. Only available for Flux Lora Trained models.
inputs: Optional[List[ModelInput]]The inputs of the model. Only used for custom models. To retrieve this list, get it by modelId with GET /models/{modelId}
The inputs of the model. Only used for custom models. To retrieve this list, get it by modelId with GET /models/{modelId}
The allowed values for the input. For `string` or `number` types, creates a single-select dropdown. For `string_array` type, creates a multi-select dropdown.
background_behavior: Optional[Literal["opaque", "transparent"]]Specifies the background behavior for the input. Only available for `file` and `file_array`
input types with kind `image`.
Specifies the background behavior for the input. Only available for `file` and `file_array` input types with kind `image`.
Help text displayed in the UI to provide additional information about the input
Used to visually group inputs together in the UI. Inputs with the same group value appear consecutively in the UI.
The list of inputs which form an object within a container array. All inputs are the same as the current object. This is only available for type inputs_array inputs.
kind: Optional[Literal["3d", "audio", "document", 4 more]]The asset kind of the input. Only taken into account for `file` and `file_array` input types.
If model provides multiple kinds,
the input will be not able to create the asset on the flight on API side with dataurl without data:kind, prefix
The asset kind of the input. Only taken into account for `file` and `file_array` input types. If model provides multiple kinds, the input will be not able to create the asset on the flight on API side with dataurl without data:kind, prefix
The maximum allowed length for `string` inputs. Also applies to each item in `string_array`.
The maximum allowed file size in bytes. Only applies to `file` and `file_array` input types. Validated against `asset.properties.size` at job creation time.
The minimum allowed length for string inputs. Also applies to each item in `string_array`.
model_types: Optional[List[Literal["custom", "elevenlabs-voice", "flux.1", 34 more]]]The allowed model types for this input. Example: `[“flux.1-lora”]`.
Only available for `model_array` input type.
The allowed model types for this input. Example: `[“flux.1-lora”]`. Only available for `model_array` input type.
Whether this input represents a parent asset to assign to the produced assets. Only available for `file` and `file_array` input types.
For `file_array`, the parent asset is the first item in the array.
Whether the input is a prompt. When true, displays as a text area with prompt spark feature. Only available for `string` input type.
Whether the input is used with prompt spark. Only available for `string` input type.
required: Optional[ModelInputRequired]Set of rules that describes when this input is required:
- `always`: Input is always required
- `ifNotDefined`: Input is required when another specified input is not defined
- `ifDefined`: Input is required when another specified input is defined
- `conditionalValues`: Input is required when another input has a specific value
By default, the input is not required.
Set of rules that describes when this input is required:
- `always`: Input is always required
- `ifNotDefined`: Input is required when another specified input is not defined
- `ifDefined`: Input is required when another specified input is defined
- `conditionalValues`: Input is required when another input has a specific value
By default, the input is not required.
Makes this input required when another input has a specific value:
- Key: name of the input to check
- Value: operation and allowed values that trigger the requirement
The model keyword, this is a legacy parameter, please use conceptPrompt in parameters
Fine-tune the model’s inferences with negative prompt embedding
parameters: Optional[ModelParameters]The parameters of the model
The parameters of the model
Age group of the voice (for professional cloning)
Only available for ElevenLabs voice training
The batch size Less steps, and will increase the learning rate
Only available for Flux LoRA training
The prompt to specify images in the same class as provided instance images
Only available for SD15 training
Type of voice cloning: “instant” (fast) or “professional” (higher quality, requires captcha)
Only available for ElevenLabs voice training
The prompt with identifier specifying the instance (or subject) of the class (example: “a daiton dog”)
Default value varies depending on the model type:
- For SD1.5: “daiton” if no class is associated with the model
- For SDXL: “daiton”
- For Flux: ""
Gender of the voice (for professional cloning)
Only available for ElevenLabs voice training
Language of the audio samples (ISO 639-1 code)
Only available for ElevenLabs voice training
Initial learning rate (after the potential warmup period)
Default value varies depending on the model type:
- For SD1.5 and SDXL: 0.000005
- For Flux: 0.0001
Initial learning rate (after the potential warmup period) for the text encoder
Maximum [Flux LoRA: 0.001] Default [SDXL: 0.00005 | Flux LoRA: 0.00001] Minimum [SDXL: 0 | Flux LoRA: 0.000001]
Initial learning rate (after the potential warmup period) for the UNet
Only available for SDXL LoRA training
lr_scheduler: Optional[Literal["constant", "constant-with-warmup", "cosine", 3 more]]The scheduler type to use (default: “constant”)
Only available for SD15 and SDXL LoRA training
The scheduler type to use (default: “constant”)
Only available for SD15 and SDXL LoRA training
Maximum number of training steps to execute (default: varies depending on the model type)
For SDXL LoRA training, please use numTextTrainSteps and numUNetTrainSteps instead
Default value varies depending on the model type:
- For SD1.5: round((number of training images * 225) / 3)
- For SDXL: number of training images * 175
- For Flux: number of training images * 100
Maximum value varies depending on the model type:
- For SD1.5 and SDXL: [0, 40000]
- For Flux: [0, 10000]
The number of epochs to train for
Only available for Flux LoRA training
The number of times to repeat the training
Only available for Flux LoRA training
The number of training steps for the text encoder
Only available for SDXL LoRA training
The number of training steps for the UNet
Only available for SDXL LoRA training
Optimize the model training task for a specific type of input images. The available values are:
- “likeness”: optimize training for likeness or portrait (targets specific transformer blocks)
- “all”: train all transformer blocks
- “none”: train no specific transformer blocks
This parameter controls which double and single transformer blocks are trained during the LoRA training process.
Only available for Flux LoRA training
The weight of prior preservation loss
Only available for SD15 and SDXL LoRA training
Whether to random crop or center crop images before resizing to the working resolution
Only available for SD15 and SDXL LoRA training
Ratio of random crops
Only available for SD15 and SDXL LoRA training
Scale of random crops
Only available for SD15 and SDXL LoRA training
The dimension of the LoRA update matrices
Only available for SDXL (deprecated), Flux LoRA and Musubi training
Default value varies depending on the model type:
- For SDXL (deprecated): 64
- For Flux: 16
- For Musubi: 64
Each trainer enforces its own tighter limit (Flux LoRA: [2; 64], Musubi: [2; 128])
Whether to remove background noise from audio samples before cloning. When enabled, each sample must be at least 5 seconds long.
Only available for ElevenLabs voice training
The prompts to use for each epoch Only available for Flux LoRA training
The sample prompt images (AssetIds) paired with samplePrompts Only available for Flux LoRA training Must be the same length as samplePrompts
Whether to scale the learning rate
Note: Legacy parameter, will be ignored
Only available for SD15 and SDXL LoRA training
Used to reproduce previous results. Default: randomly generated number.
Only available for SD15 and SDXL LoRA training
Whether to train the text encoder or not
Example: For 100 steps and a value of 0.2, it means that the text encoder will be trained for 20 steps and then the UNet for 80 steps
Note: Legacy parameter, please use numTextTrainSteps and numUNetTrainSteps
Only available for SD15 and SDXL LoRA training
Validation frequency. Cannot be greater than maxTrainSteps value
Only available for SD15 and SDXL LoRA training
performance_stats: Optional[ModelPerformanceStats]Aggregated performance stats
Aggregated performance stats
The model short description (example: “This model generates highly detailed cinematic scenes.”)
training_images: Optional[List[ModelTrainingImage]]The URLs of the first 3 training images of the model. To retrieve the full set of images, get it by modelId
The URLs of the first 3 training images of the model. To retrieve the full set of images, get it by modelId
training_progress: Optional[ModelTrainingProgress]Additional information about the training progress of the model
Additional information about the training progress of the model
ui_config: Optional[ModelUiConfig]The UI configuration for the model
The UI configuration for the model
input_properties: Optional[Dict[str, ModelUiConfigInputProperties]]Configuration for the input properties
Configuration for the input properties
resolution_component: Optional[ModelUiConfigResolutionComponent]Configuration for the resolution component
Configuration for the resolution component